twinkle(6)

NAME
twinkle - draws tiny twinkling stars

SYNOPSIS
twinkle [-display host:display.screen] [-window] [-root] [-mono] [-install] [-visual visual] [-delay usecs] [-density integer] [-ncolors integer] [-db | -no-db]

DESCRIPTION
The twinkle program is a low power consumption screenhack that resembles a twinkling starfield.

OPTIONS
twinkle accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay usecs
    Per-frame delay, in microseconds: default is 50000.

-density integer
    Number of stars to draw in each direction of the screen, i.e. an argument of 'n' produces an nxn grid of stars. Default is 8.

-ncolors integer
    How many colors should be used (if possible). Default is 64. The colors are chosen randomly. Passing an argument of 1 is the same as specifying -mono.

-db | -no-db
    Use double-buffering, or not. -db is the default.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 2006 by Kelley Nielsen. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Kelley Nielsen <shegeek-dev@comcast.net>, 28-Feb-06.